Qt 5.8 | Qt Charts | C++ Classes | QSplineSeries

Qt 5.8.0 Reference Documentation

# QSplineSeries Class

Series type used to store data needed to draw a spline. More...

Header: | #include <QSplineSeries>
Instantiated By: | SplineSeries
Inherits: | QLineSeries

- List of all members, including inherited members

## Public Functions

| QSplineSeries(QObject *parent = Q_NULLPTR)
| ~QSplineSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const

- 1 public function inherited from QLineSeries
- 39 public functions inherited from QXYSeries
- 15 public functions inherited from QAbstractSeries

### Additional Inherited Members

- 7 properties inherited from QXYSeries
- 5 properties inherited from QAbstractSeries
- 17 signals inherited from QXYSeries
- 4 signals inherited from QAbstractSeries

## Detailed Description

Series type used to store data needed to draw a spline.

QSplineSeries stores the data points along with the segment control points needed by QPainterPath to draw spline Control points are automatically calculated when data changes. The algorithm computes the points so that the normal spline can be drawn.

Creating basic spline chart is simple:

      QSplineSeries* series = new QSplineSeries();
      series->append(0, 6);
      series->append(2, 4);
      ...
      chart->addSeries(series);

## Member Function Documentation

### QSplineSeries::QSplineSeries(QObject *parent = Q_NULLPTR)

Constructs empty series object which is a child of parent. When series object is added to a QChart instance then the ownerships is transferred.

### QSplineSeries::~QSplineSeries()

Destroys the object.

### `[virtual]` QAbstractSeries::SeriesType QSplineSeries::type() const

Reimplemented from QAbstractSeries::type().

Returns the type of the series